org.jboss.jca.core.tx.jbossts

## Class XidWrapperImpl

- java.lang.Object
- - org.jboss.jca.core.tx.jbossts.XidWrapperImpl

- All Implemented Interfaces:
    javax.transaction.xa.Xid, org.jboss.jca.core.spi.transaction.xa.XidWrapper

      public class XidWrapperImpl
      extends java.lang.Object
      implements org.jboss.jca.core.spi.transaction.xa.XidWrapper

  A XidWrapper.
  Author:
    Weston Price, Jesper Pedersen

- - ### Field Summary

    - ### Fields inherited from interface javax.transaction.xa.Xid

      `MAXBQUALSIZE, MAXGTRIDSIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XidWrapperImpl(javax.transaction.xa.Xid xid, boolean pad, java.lang.String jndiName)` Creates a new XidWrapperImpl instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object object)`
    `byte[]` | `getBranchQualifier()`
    `int` | `getFormatId()`
    `byte[]` | `getGlobalTransactionId()`
    `java.lang.String` | `getJndiName()` Get the JNDI name
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XidWrapperImpl

          public XidWrapperImpl(javax.transaction.xa.Xid xid,
                                boolean pad,
                                java.lang.String jndiName)

      Creates a new XidWrapperImpl instance.
      Parameters:
        `xid` - The Xid instances
        `pad` - Should the branch qualifier be padded
        `jndiName` - The JNDI name

  - ### Method Detail

    - #### getBranchQualifier

          public byte[] getBranchQualifier()

      Specified by:
        `getBranchQualifier` in interface `javax.transaction.xa.Xid`

    - #### getFormatId

          public int getFormatId()

      Specified by:
        `getFormatId` in interface `javax.transaction.xa.Xid`

    - #### getGlobalTransactionId

          public byte[] getGlobalTransactionId()

      Specified by:
        `getGlobalTransactionId` in interface `javax.transaction.xa.Xid`

    - #### getJndiName

          public java.lang.String getJndiName()

      Get the JNDI name
      Specified by:
        `getJndiName` in interface `org.jboss.jca.core.spi.transaction.xa.XidWrapper`
      Returns:
        The value

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)